net.sf.jasperreports.engine.design

## Class JRSourceCompileTask

- java.lang.Object
- - net.sf.jasperreports.engine.design.JRSourceCompileTask

-     public class JRSourceCompileTask
      extends java.lang.Object

  Expression evaluator source code generation information.
  Version:
    $Id: JRSourceCompileTask.java 6934 2014-02-27 13:24:34Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `JRSourceCompileTask(JasperDesign jasperDesign, JRDesignCrosstab crosstab, JRExpressionCollector expressionCollector, java.lang.String unitName)` Creates source code generation information for a crosstab of a report.
    `` | `JRSourceCompileTask(JasperDesign jasperDesign, JRDesignDataset dataset, JRExpressionCollector expressionCollector, java.lang.String unitName)` Creates source code generation information for a dataset of a report.
    `protected` | `JRSourceCompileTask(JasperDesign jasperDesign, java.lang.String unitName, JRExpressionCollector expressionCollector, java.util.Map<java.lang.String,? extends JRParameter> parametersMap, java.util.Map<java.lang.String,JRField> fieldsMap, java.util.Map<java.lang.String,JRVariable> variablesMap, JRVariable[] variables, boolean onlyDefaultEvaluation)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRExpression` | `getExpression(int expressionId)`
    `java.lang.Integer` | `getExpressionId(JRExpression expression)`
    `java.util.List<JRExpression>` | `getExpressions()`
    `java.util.Map<java.lang.String,JRField>` | `getFieldsMap()`
    `java.lang.String[]` | `getImports()`
    `JasperDesign` | `getJasperDesign()`
    `JasperReportsContext` | `getJasperReportsContext()`
    `java.util.Map<java.lang.String,? extends JRParameter>` | `getParametersMap()`
    `java.lang.String` | `getUnitName()`
    `JRVariable[]` | `getVariables()`
    `java.util.Map<java.lang.String,JRVariable>` | `getVariablesMap()`
    `boolean` | `isOnlyDefaultEvaluation()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRSourceCompileTask

          protected JRSourceCompileTask(JasperDesign jasperDesign,
                             java.lang.String unitName,
                             JRExpressionCollector expressionCollector,
                             java.util.Map<java.lang.String,? extends JRParameter> parametersMap,
                             java.util.Map<java.lang.String,JRField> fieldsMap,
                             java.util.Map<java.lang.String,JRVariable> variablesMap,
                             JRVariable[] variables,
                             boolean onlyDefaultEvaluation)

    - #### JRSourceCompileTask

          public JRSourceCompileTask(JasperDesign jasperDesign,
                             JRDesignDataset dataset,
                             JRExpressionCollector expressionCollector,
                             java.lang.String unitName)

      Creates source code generation information for a dataset of a report.
      Parameters:
        `jasperDesign` - the report
        `dataset` - the dataset
        `expressionCollector` - the expression collector used for the report
        `unitName` - the unit name of the code to be generated

    - #### JRSourceCompileTask

          public JRSourceCompileTask(JasperDesign jasperDesign,
                             JRDesignCrosstab crosstab,
                             JRExpressionCollector expressionCollector,
                             java.lang.String unitName)

      Creates source code generation information for a crosstab of a report.
      Parameters:
        `jasperDesign` - the report
        `crosstab` - the crosstab
        `expressionCollector` - the expression collector used for the report
        `unitName` - the unit name of the code to be generated

  - ### Method Detail

    - #### getExpressions

          public java.util.List<JRExpression> getExpressions()

    - #### getFieldsMap

          public java.util.Map<java.lang.String,JRField> getFieldsMap()

    - #### getJasperDesign

          public JasperDesign getJasperDesign()

    - #### getImports

          public java.lang.String[] getImports()

    - #### isOnlyDefaultEvaluation

          public boolean isOnlyDefaultEvaluation()

    - #### getParametersMap

          public java.util.Map<java.lang.String,? extends JRParameter> getParametersMap()

    - #### getUnitName

          public java.lang.String getUnitName()

    - #### getVariables

          public JRVariable[] getVariables()

    - #### getVariablesMap

          public java.util.Map<java.lang.String,JRVariable> getVariablesMap()

    - #### getExpressionId

          public java.lang.Integer getExpressionId(JRExpression expression)

    - #### getExpression

          public JRExpression getExpression(int expressionId)

    - #### getJasperReportsContext

          public JasperReportsContext getJasperReportsContext()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com